Honeywell LYNXTOUCH-MSD Posts

Posted By

Hi DIYers! We have great news for anyone clinging on to an old Honeywell LYNX Touch L5200 System. The panel now supports the use of a new Honeywell LYNXTOUCH-MSD Updater Tool and can be upgrade to the latest firmware. This means the L5200 can now use one of the LYNX Touch LTE Communicators!

Honeywell l5200 lynx touch wireless home security system and alarm control panel

This news was brought to our attention thanks to Resideo Technical Notification #43, which you can view here. According to this document, the L5200 can now receive a firmware upgrade from a newly released LYNXTOUCH-MSD Firmware Updater Tool. These newly released updater tools will have the following sticker on the box:


It is our understanding that any existing LYNXTOUCH-MSD Firmware Updater Tools WILL NOT work with the L5200. However, we are still awaiting word from Resideo regarding confirmation. We also believe that it will no longer be possible to have firmware updates pushed down to the L5200 over-the-air (OTA). Instead, all future updates for the L5200 must now occur using the updater tool. Please note that by upgrading the L5200 System to run the latest firmware, AlarmNet360 will view the system as an L5210 running the latest firmware. As far as AlarmNet is concerned, the L5200 and L5210 are the same system once the panel is on the latest firmware.

Update: Resideo confirmed that only LYNXTOUCH-MSD Firmware Updater Tools manufactured after October 2019 will work with the L5200.

The new updater tool will also continue to support the L5210 and L7000 Systems like normal. For more information on using the Honeywell LYNXTOUCH-MSD Firmware Updater Tool, please review this helpful FAQ. We offer step-by-step instructions and a video that will help you use the device to upgrade any Honeywell LYNX Touch System.

By upgrading to the latest firmware, you can use the LTE cellular communicators with the L5200 System. These include the Honeywell LTE-L57A (AT&T LTE) and the Honeywell LTE-L57V (Verizon LTE). Upgrading to LTE is crucial for extending the life of your security system. Please note that Firmware Revision 9.00.209 or higher is needed to use the LTE-L57A, and Firmware Revision 9.00.201 or higher is needed to use the LTE-L57V.

Remember that older cellular networks like AT&T 3G and 4G and Verizon CDMA are set to be shut down in the coming years. Meanwhile, support for LTE Networks will be maintained well into the very distant future! Remember that Alarm Grid customers will need a Gold Plan or higher to use cellular communication with any system.

Additionally, you might also need to update the firmware for your L5200 to use a newer Honeywell L5100-WIFI Module. Any L5100-WIFI module with any updated MAC prefix can only be used with a LYNX Touch System running Firmware Revision 8.00.183 or higher. If your L5200 is running an old firmware version, you can upgrade to the latest version using the newly enhanced LYNXTOUCH-MSD Updater Tool. This will allow you to use any L5100-WIFI Module with the system. More information on the L5100 MAC prefix update can be found in this blog post.

This is certainly great news for any L5200 owner, as the system has essentially been "resurrected", and can now be set up to use fast and reliable dual-path connectivity (LTE & WIFI) just like any top-of-the-line security system! If you have any questions about the Honeywell LYNXTOUCH-MSD Firmware Updater Tool or any of the products on our site, please reach out to us by emailing support@alarmgrid.com. Remember that our support hours are from 9am to 8pm ET M-F. We look forward to hearing from you!

Tags: , , , , , , , , , ,

Comments


Posted By

Hi DIYers! We are happy to announce that the Honeywell LYNX Touch Updater Tool is now available for purchase on our website. This easy-to-use module allows users to conveniently update the firmware for any Honeywell L5210 or L7000 and get it running on the latest software version.


As you may recall, LTE Communicators for the L5210 and L7000 were released last year. There is the LTE-L57A for the AT&T LTE Network and the LTE-57V for the Verizon LTE Network. But these systems require a minimum firmware version to support these modules. The LTE-L57A requires firmware version 9.00.209 or higher, while the LTE-L57V requires firmware version 9.00.201 or higher. Any newly manufactured L5210 or L7000 will already be running a high enough firmware version. However, older L5210 and L7000 Systems may require a firmware update.

It used to be possible to push down an over-the-air (OTA) firmware update to an L5210 or L7000. However, this is no longer the case. All firmware updates for these two systems must be applied using the Honeywell LYNX Touch Updater Tool, officially known as the Honeywell LYNXTOUCH-MSD. This tool allows users to update the firmware for their L5210 or L7000 System at their own leisure. It will also come in handy if Resideo decides to release any future firmware updates for these systems at some point.

Alarm Grid has already released an FAQ to help you use this new device to upgrade your L5210 or L7000 System. We also invite you to check out the Installation Guide for the module for even more information. Remember, you will want to get your LYNX Touch System connected with an LTE network sooner rather than later. The 3G sunset is rapidly approaching, and LTE connectivity will allow you to greatly extend your system's lifespan!

If you are an Alarm Grid monitored customer with any questions about the Honeywell LYNXTOUCH-MSD Updater Tool, or if you would like to know why upgrading to LTE is important, we encourage you to reach out to us. You may email us at support@alarmgrid.com or call us at (888) 818-7728 during our normal business hours of 9am to 8pm EST M-F. We look forward to hearing from you and answering any questions you might have!

Update: As of October 2019, the LYNXTOUCH-MSD Updater Tool can also be used with an L5200 Panel. See this blog post for more information.

Tags: , , , , , , ,

Comments


Posted By

The latest technical notification from Honeywell says that the manufacturer is making changes to their L5100-WIFI Module for the Honeywell LYNX Touch Systems. New L5100-WIFI devices have a MAC prefix of B8:2C:A0. Modules with this MAC prefix will require the panel to be on at least 8.00.183.

Honeywell l5100 wifi alarmnet lynx touch l5100 security system wifi alarm monitoring communicatorThe L5100-WIFI allows a Honeywell LYNX Touch Panel to connect with a WIFI network. This will allow the panel to receive IP monitoring service and connect with the Total Connect 2.0 interactive platform. Overall, it is one of the most important upgrades that can be made for a LYNX Touch System.

Older L5100-WIFI modules used a MAC prefix of 00D02D. These modules can be used with a LYNX Touch System right out of the box, with no firmware update being needed. This is not the case with the newer L5100-WIFI modules that have the B8:2C:A0 MAC Prefix. The new L5100-WIFI modules can be identified by having the following label on the outside of their boxes:


In order to use one of these newer L5100-WIFI devices, the LYNX Touch System will need to be running Revision 8.00.183 or higher. Only the Honeywell L5200, Honeywell L5210 and Honeywell L7000 will support this revision upgrade. The L5200 must have the firmware update pushed down to the panel over-the-air by Resideo. The L5210 and L7000 Systems can use the firmware updater tool to complete the update. Update: As of October 2019, the L5200 can also use the LYNX Touch Firmware Updater Tool. Please see this blog post for more information.

Any L5210 or L7000 System that was purchased after February 2018 will already have Revision 8.00.183 installed. These systems will readily support the newest L5100-WIFI modules. The LYNX Touch Systems that have Revision 8.00.183 pre-installed can be identified by having the following serial number:


If you have an older LYNX Touch System or if you are unable to get Revision 8.00.183 on your L5210 or L7000, then you will still be able to use an older L5100-WIFI with the 00D02D MAC prefix to get the system online. Keep in mind though that any newly manufactured L5100-WIFI module will not have the older prefix. Alarm Grid will stop selling the older L5100-WIFI modules once we run out of our current stock.

But if you do manage to find an older L5100-WIFI module with the 00D02D prefix, then you will be able to use it with your system. Alarm Grid will activate any compatible L5100-WIFI Module, whether it was purchased from us or somewhere else. Also remember that you will not need to purchase a new L5100-WIFI module or upgrade your panel's firmware revision if you already have a functioning WIFI module set up with the system.

Another option is to upgrade to the Honeywell Lyric Controller. The Lyric comes with a compatible WIFI card already built-in. This makes it extremely easy to connect to a WIFI network. The Lyric also readily supports Z-Wave home automation devices, and it is fully compatible with Apple HomeKit. A user will be able to bring over all their existing sensors to the Lyric Controller, so making the upgrade is very easy.

Honeywell lyric controller encrypted wireless security system

Tags: , , , ,

Comments